Get term bases
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"termBases": [
{
"qualityAssurance": true,
"readMode": true,
"targetLocale": "<string>",
"termBase": {
"name": "<string>",
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"canShow": true,
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"langs": [
"<string>"
],
"note": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"readonly": true,
"sourceUrl": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"uid": "<string>",
"userAllowedOperations": [
"<string>"
]
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
},
"writeMode": true
}
]
}Project
Get term bases
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
termBases
Get term bases
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Query Parameters
Exclude vendor term bases, returning only the current organization's term bases
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I